services:

  author_service:
    container_name: author_service
    build:
      context: .
      dockerfile: ./author_service/Dockerfile
    expose:
      - 20001

  book_service:
    container_name: book_service
    build:
      context: .
      dockerfile: ./book_service/Dockerfile
    expose:
      - 20002

  nginx:
    image: nginx:latest
    ports:
      - "80:80"
    volumes:
      - ./nginx.conf:/etc/nginx/nginx.conf
    depends_on:
      - author_service
      - book_service